> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update user role in my organisation

> Change a member's OrganisationRole in the caller's active organisation. Admin/Owner only. Cannot demote the only Owner.



## OpenAPI

````yaml /api-reference/openapi.json patch /users/{id}/role
openapi: 3.1.1
info:
  title: Dolfin API
  description: >-
    Dolfin API for AR & AP. Authenticate using the `x-dolfin-api-key` header
    with the API key distributed to your organisation.
  version: v1
servers:
  - url: https://api.dolfinai.co
    description: Production
security:
  - {}
tags:
  - name: Webhooks
  - name: Users
  - name: TaxRates
  - name: Suppliers
  - name: Supplier Credit Notes
  - name: Bills
  - name: SpendCategories
  - name: Payables
  - name: RecurringInvoices
  - name: Receivables
  - name: Purchase Orders
  - name: Products
  - name: Payments
  - name: Invoices
  - name: Organisations
  - name: Members
  - name: MCP
  - name: Matching
  - name: Invoice Reminders
  - name: Industries
  - name: Gmail
  - name: Delivery Notes
  - name: Customers
  - name: Currencies
  - name: Credit Notes
  - name: Clients
  - name: ClientInvites
  - name: BankPayments
  - name: Bank details
  - name: Auth
  - name: ApprovalPolicies
  - name: ApiKeys
  - name: Agent
paths:
  /users/{id}/role:
    patch:
      tags:
        - Users
      summary: Update user role in my organisation
      description: >-
        Change a member's OrganisationRole in the caller's active organisation.
        Admin/Owner only. Cannot demote the only Owner.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchOrganisationUserRoleRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganisationUserResponse'
        '400':
          description: User.MissingRole — role is required
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: User.Forbidden — caller is not Admin or Owner of this organisation
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: User.NotInOrganisation — user is not a member of this organisation
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '409':
          description: User.LastOwner — cannot demote the last Owner of the organisation
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    PatchOrganisationUserRoleRequest:
      required:
        - role
      type: object
      properties:
        role:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/OrganisationRole'
    OrganisationUserResponse:
      required:
        - role
        - email
      type: object
      properties:
        role:
          $ref: '#/components/schemas/OrganisationRole'
        id:
          type: string
          format: uuid
        email:
          type: string
        name:
          type:
            - 'null'
            - string
        createdAt:
          type: string
          format: date-time
    ProblemDetails:
      type: object
      properties:
        type:
          type:
            - 'null'
            - string
        title:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        detail:
          type:
            - 'null'
            - string
        instance:
          type:
            - 'null'
            - string
    OrganisationRole:
      enum:
        - Member
        - Admin
        - Owner

````